# $Revision: 1.18 $, $Date: 2002/11/14 18:42:39 $
# TODO:
# - add rc-inetd support for fam service.
#
Summary:	Fam, the File Alteration Monitor
Summary(pl):	Monitor zmian w plikach
Summary(pt_BR):	FAM, um monitor de alteraes em arquivos
Name:		fam
Version:	2.6.9
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://oss.sgi.com/projects/fam/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-dnotify.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-rpcsvc.patch
Patch3:		%{name}-gcc3.patch
URL:		http://oss.sgi.com/projects/fam/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
Prereq:		rc-inetd
Requires:	%{name}-libs = %{version}
Requires:	inetdaemon
Requires:	portmap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gcc_ver	%(%{__cc} -dumpversion | cut -b 1)
%if %{_gcc_ver} == 2
%define		__cxx		"%{__cc}"
%endif

%description
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

%description -l pl
fam dostarcza serwer i API pozwalajce aplikacjom na uzyskiwanie
informacji o zmianach w okrelonych plikach lub katalogach.

%description -l pt_BR
O fam fornece um servidor e uma API que aplicaes podem usar para
receber notificaes sobre mudanas em arquivos ou diretrios
especficos.

%package libs
Summary:	Libraries for FAM
Summary(pl):	Biblioteki FAMa
Summary(pt_BR):	FAM, um monitor de alteraoes em arquivos
License:	LGPL
Group:		Libraries
Obsoletes:	libfam0

%description libs
Libraries for FAM.

%description libs -l pl
Biblioteki FAMa.

%description libs -l pt_BR
FAM, um monitor de alteraoes em arquivos.

%package devel
Summary:	Includes to develop using FAM
Summary(pl):	Pliki nagwkowe FAM
Summary(pt_BR):	Arquivos para desenvolvimento com a libfam
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}
Obsoletes:	libfam0-devel

%description devel
Includes to develop using FAM.

%description devel -l pl
Pliki nagwkowe FAM.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso para desenvolvimento com a libfam.

%package static
Summary:	FAM static libraries
Summary(pl):	Biblioteki statyczne FAM
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com a libfam
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
FAM static libraries.

%description static -l pl
Biblioteki statyczne FAM.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com a libfam.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%config %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/fam.1m*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: fam.spec,v $
Revision 1.18  2002/11/14 18:42:39  wrobell
- rel. 4

Revision 1.17  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.16  2002/08/29 14:00:59  wiget
- fix compilation with gcc 3.2 (by DJ_Urban)

Revision 1.15  2002/08/17 22:28:57  qboosh
- base package is on GPL; release 2

Revision 1.14  2002/08/17 13:30:48  kloczek
- merge translations from Conectiva.

Revision 1.13  2002/08/17 12:36:04  blues
- 2.6.9 - SECURITY update; STBR

Revision 1.12  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.11  2002/05/21 23:13:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/21 09:31:10  kloczek
- if it possible map %%{__cc} to %%{__cxx} in the same way as in mozilla.spec.

Revision 1.9  2002/05/02 16:14:19  kloczek
- release 7,
- add -fno-rtti -fno-exceptions to CXXFLAGS and map %%{__cc} on %{__cxx} (now
  libstdc++ patch can be removed),
- per subpackage License field (mail GPL all other LGPL),
- fixed requires rules for libs, devel and static subpackages.
Added TODO:
- add rc-inetd upport or fam service.

Revision 1.8  2002/04/25 16:17:06  arturs
fixed a small typo

Revision 1.7  2002/04/13 11:28:29  michuz
- added fam-rpcsvc.patch (fixes linking)

Revision 1.6  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/23 01:58:11  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/06 04:03:04  kloczek
- spec adapterized,
- libfam0{,-devel} added to Obsoletes for allow upgrade from MDK.
NOTE: rc-inets support still NYF.

Revision 1.2  2002/01/18 20:09:09  qboosh
- fixed static pl description and base groups, cosmetics

Revision 1.1  2002/01/18 15:52:11  misiek
- initial pld relase (nfy; rc-inetd support missing)
